/* Fonts */
:root {
    --font-monospace: "Fira Mono", monospace;
}

body {
    font-family: var(--font-monospace);
    font-size: 16px;
    line-height: 1.5rem;
}

/* Headings */
h1 {
    text-decoration: none;
    font-size: 1.5rem;
    font-weight: 100;
}
h2 {
    font-size: 1.3rem;
    font-weight: 85;
}
h3, 
h4, 
h5, 
h6 {
    font-size: 1rem;
    margin: 1.5rem 0 0 0;
    font-weight: 600;
}

h1+h2,
h1+h3,
h1+h4,
h1+h5,
h1+h6,
h2+h3,
h2+h4,
h2+h5,
h2+h6,
h3+h4,
h3+h5,
h3+h6,
h4+h5,
h4+h6,
h5+h6 {
    margin: 0;
}

h1:before { content: "# "; }
h2:before { content: "## "; }
h3:before { content: "### "; }
h4:before { content: "#### "; }
h5:before { content: "##### "; }
h6:before { content: "###### "; }

h1:before, 
h2:before, 
h3:before, 
h4:before, 
h5:before, 
h6:before {
    color: var(--muted);
}

h1:first-child {
    margin-top: 0;
}

/* Less margin between post titles and text */
.content__header h1 {
    margin: 0;
}

/* Paragraphs */
p {
    margin: 0 0 1.5rem 0;
}

/* Links */

a:link, a:visited {
    color: var(--link);
}

a:hover, a:active, a.active {
    color: var(--hover);
}

/* Main menu links */
a.nav-main-item {
    
}

/* Lists */
ul {
    margin: 0 0 1.5rem 0;
    padding-left: 1.25rem;
}

ol {
    margin: 0 0 1.5rem 0;
    padding-left: 1.75rem;
}

ul ul,
ul ol,
ol ul,
ol ol {
    margin: 0;
}

ul li::marker {
    content: '>>\00A0';
    color: var(--muted);
}

ol li::marker {
    color: var(--muted);
}

li.nomarker {
    display: block;
}

dt {
  margin: 0;
  font-weight: bold;
}

dd {
  margin: 0 0 0 1.5rem;
  font-style: italic;
}

dd + dt {
  margin-top: 1.5rem;
}

dl {
  margin: 0 0 1.5rem 0;
}

/* Blockquotes */
blockquote {
    position: relative;
    margin: 0 2rem 2rem 2rem;
    background-color: #6c71c4;
    border-radius: 5px;
    color: #fdf6e3
}

blockquote p {
    margin: 0 0 1.5rem 1.5rem;
}

blockquote::before {
    position: absolute;
    left: -1rem;
    content: ">";
    color: var(--muted);
}

/* Code */
pre,
code, 
kbd,
samp {
    background: var(--inner-bg) !important;
    font-family: var(--font-monospace);
    color: var(--off-fg);
}

pre {
    overflow-x: auto;
    padding: 1.5rem;
    margin: 0 0 1.5rem 0;
}

/* Fix overflow when config markup.highlight.lineNos is true */
/* See https://github.com/joeroe/risotto/issues/41 */
.highlight div {
	overflow-x: auto;
}

/* Emphasis */
b,
strong {
    font-weight: 600;
}

/* Highlighting */
::selection,
mark {
    background-color: var(--highlight);
    color: var(--bg);
}

/* Other typographic elements */
hr {
    border: 0;
    margin-bottom: 1.5rem;
}

hr:after {
    content: '---';
    margin: 0;
    padding: 0;
    color: var(--muted);
}


/* Prevent super/sub from affecting line height */
sup, sub {
    vertical-align: baseline;
    position: relative;
    top: -0.25rem;
    font-size: unset;
}
sub { 
    top: 0.25rem; 
}

/* Tables */
table {
    border-spacing: 0;
    margin: 0 0 1.5rem 0;
    overflow-wrap: anywhere;
}
th, td {
    padding: 0 .75rem;
    vertical-align: top;
}
th:first-child, td:first-child {
    padding-left: 0;
}
th {
    text-align: inherit;
}

/* Figures */
img {
    max-width: 100%;
    height: auto;
}

/* Colour classes */
.base00 { color: var(--base00); }
.base01 { color: var(--base01); }
.base02 { color: var(--base02); }
.base03 { color: var(--base03); }
.base04 { color: var(--base04); }
.base05 { color: var(--base05); }
.base06 { color: var(--base06); }
.base07 { color: var(--base07); }
.base08 { color: var(--base08); }
.base09 { color: var(--base09); }
.base0A { color: var(--base0A); }
.base0B { color: var(--base0B); }
.base0C { color: var(--base0C); }
.base0D { color: var(--base0D); }
.base0E { color: var(--base0E); }
.base0F { color: var(--base0F); }

.bg-base00 { background-color: var(--base00); }
.bg-base01 { background-color: var(--base01); }
.bg-base02 { background-color: var(--base02); }
.bg-base03 { background-color: var(--base03); }
.bg-base04 { background-color: var(--base04); }
.bg-base05 { background-color: var(--base05); }
.bg-base06 { background-color: var(--base06); }
.bg-base07 { background-color: var(--base07); }
.bg-base08 { background-color: var(--base08); }
.bg-base09 { background-color: var(--base09); }
.bg-base0A { background-color: var(--base0A); }
.bg-base0B { background-color: var(--base0B); }
.bg-base0C { background-color: var(--base0C); }
.bg-base0D { background-color: var(--base0D); }
.bg-base0E { background-color: var(--base0E); }
.bg-base0F { background-color: var(--base0F); }
